Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 210285 - Review Request: kfolding - KDE kicker applet for Folding@home
Summary: Review Request: kfolding - KDE kicker applet for Folding@home
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Rockai
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-10-11 10:57 UTC by Matěj Cepl
Modified: 2018-04-11 15:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-20 09:14:30 UTC


Attachments (Terms of Use)

Description Matěj Cepl 2006-10-11 10:57:45 UTC
Spec URL: http://www.ceplovi.cz/matej/progs/rpms/kfolding.spec
SRPM URL: http://www.ceplovi.cz/matej/progs/rpms/kfolding-1.0.0_rc2-1.src.rpm
Description: Folding@home Applet is an applet for the KDE panel. It provides a convenient and unobtrusive way to monitor, visualise, and control the Folding@home client software.

This is my first attempt to create an official package for Fedora (or any other RPM-based distribution for that matter) and I am seeking a sponsor.

Comment 1 Matěj Cepl 2006-10-11 12:02:40 UTC
SRPM URL is now 
http://www.ceplovi.cz/matej/progs/rpms/kfolding-1.0.0-0.rc2.src.rpm

Comment 2 Petr Rockai 2006-10-11 15:47:37 UTC
The new srpm looks good to me, only few little issues:
     75 %{_datadir}/apps/kfolding/pics/
is redundant and
     84 * Wed Oct 11 2006 Matej Cepl <mcepl@redhat.com> - 1.0.0-rc2
has wrong version number (should be version-release, that is 1.0.0-0.rc2).

rpmlint says
E: kfolding 
file-in-usr-marked-as-conffile /usr/share/apps/kfolding/default.cfg
W: kfolding 
symlink-should-be-relative /usr/share/doc/HTML/en/kfolding/common /usr/share/doc/HTML/en/common

The default.cfg file probably shouldn't be marked conffile, the program, if i 
understand correctly, should create ~/.kde/share/apps/kfolding/default.cfg for 
user to modify, the file in /usr is just a set of system-wide defaults.

The symlink should be relativized to ../common.

I have tried to not miss anything this time, hope it's really all :).

Comment 3 Matěj Cepl 2006-10-12 12:24:41 UTC
I am not able to fix this:

[matej@localhost redhat]$ rpmlint -i RPMS/i386/kfolding-1.0.0-1.rc2.i386.rpm
W: kfolding 
dangling-relative-symlink /usr/share/doc/HTML/en/kfolding/common ../common
The relative symbolic link points nowhere.

Otherwise above mentioned problems are fixed, and the new URL for SRPM is 
http://www.ceplovi.cz/matej/progs/rpms/kfolding-1.0.0-1.rc2.src.rpm

What should I do now?

Comment 4 Petr Rockai 2006-10-12 14:00:35 UTC
The symlink is OK, the target is present in a package that is Required. Looks
good now, i let tmraz take over here.

Comment 5 Tomas Mraz 2006-10-12 15:02:47 UTC
%find_lang %{name} is present however the lang file is not included in the filelist.


Comment 6 Matěj Cepl 2006-10-13 11:38:50 UTC
Hopefully, finally cleaned up. URLs are the same.

Comment 7 Matěj Cepl 2006-10-20 09:14:30 UTC
I had to switch to Gnome for my work, so I won't package any KDE-related
packages anymore.


Note You need to log in before you can comment on or make changes to this bug.